## javax.faces.component
Class UISelectMany

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      javax.faces.component.UISelectMany

All Implemented Interfaces:
  EditableValueHolder, StateHolder, ValueHolder

Direct Known Subclasses:
  HtmlSelectManyCheckbox, HtmlSelectManyListbox, HtmlSelectManyMenu

public class UISelectMany
extends UIInput

see Javadoc of JSF Specification

Version:
  $Revision: 280406 $ $Date: 2005-09-12 16:08:06 -0400 (Mon, 12 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: svieujot $)

Field Summary
`static java.lang.String` `COMPONENT_FAMILY`
`static java.lang.String` `COMPONENT_TYPE`
`static java.lang.String` `INVALID_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID`

Constructor Summary
`UISelectMany()`

Method Summary
`protected boolean` `compareValues(java.lang.Object previous, java.lang.Object value)`
`protected java.lang.Object` `getConvertedValue(FacesContext context, java.lang.Object submittedValue)`
`java.lang.String` `getFamily()`
`java.lang.Object[]` `getSelectedValues()`
`ValueBinding` `getValueBinding(java.lang.String name)`
`void` `setSelectedValues(java.lang.Object[] selectedValues)`
`void` `setValueBinding(java.lang.String name, ValueBinding binding)`
`void` `validate(FacesContext context)` First part is identical to super.validate except the empty condition.
`protected void` `validateValue(FacesContext context, java.lang.Object convertedValue)`

Methods inherited from class javax.faces.component.UIInput

`addValidator, addValueChangeListener, broadcast, decode, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, restoreState, saveState, setImmediate, setLocalValueSet, setRequired, setSubmittedValue, setValid, setValidator, setValue, setValueChangeListener, updateModel`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### INVALID_MESSAGE_ID

    public static final java.lang.String INVALID_MESSAGE_ID

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UISelectMany

    public UISelectMany()

Method Detail

### getSelectedValues

    public java.lang.Object[] getSelectedValues()

### setSelectedValues

    public void setSelectedValues(java.lang.Object[] selectedValues)

### getValueBinding

    public ValueBinding getValueBinding(java.lang.String name)

  Overrides:
    `getValueBinding` in class `UIComponentBase`

### setValueBinding

    public void setValueBinding(java.lang.String name,
                                ValueBinding binding)

  Overrides:
    `setValueBinding` in class `UIComponentBase`

### compareValues

    protected boolean compareValues(java.lang.Object previous,
                                    java.lang.Object value)

  Overrides:
    `compareValues` in class `UIInput`
  Returns:
    true if Objects are different (!)

### validateValue

    protected void validateValue(FacesContext context,
                                 java.lang.Object convertedValue)

  Overrides:
    `validateValue` in class `UIInput`

### validate

    public void validate(FacesContext context)

  First part is identical to super.validate except the empty condition. Second part: iterate through UISelectItem and UISelectItems and check current values against these items

  Overrides:
    `validate` in class `UIInput`

### getConvertedValue

    protected java.lang.Object getConvertedValue(FacesContext context,
                                                 java.lang.Object submittedValue)

  Overrides:
    `getConvertedValue` in class `UIInput`

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `UIInput`